%define upstream_name	 Crypt-OpenSSL-X509
%define upstream_version 1.803

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension to OpenSSL's X509 API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: libopenssl-devel
BuildRequires: perl-devel
%description
This is a Perl extension to OpenSSL's X509 API. It implements a large majority
of OpenSSL's useful X509 API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml README TODO
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.803.0-2.mga4
+ Revision: 531956
- Mageia 4 Mass Rebuild

* Tue Aug 13 2013 sander85 <sander85> 1.803.0-1.mga4
+ Revision: 466061
- update to 1.803

* Wed May 29 2013 jquelin <jquelin> 1.800.2-4.mga4
+ Revision: 430610
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.800.2-3.mga3
+ Revision: 364912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.800.2-2.mga3
+ Revision: 250404
- rebuild for perl 5.16

* Wed Jun 15 2011 jquelin <jquelin> 1.800.2-1.mga2
+ Revision: 106560
- update to 1.800.2

* Sat Jun 11 2011 sander85 <sander85> 1.800.1-2.mga2
+ Revision: 103849
- perl 5.14

* Tue Apr 19 2011 jquelin <jquelin> 1.800.1-1.mga1
+ Revision: 88491
- update to 1.800.1

* Fri Apr 15 2011 jquelin <jquelin> 1.800.0-1.mga1
+ Revision: 85675
- update to 1.8

* Mon Apr 11 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 83390
- fix i586 build
- loosen the parallel build
- update to 1.7

* Fri Jan 21 2011 jquelin <jquelin> 1.600.0-1.mga1
+ Revision: 29994
- mageia rebuild
- imported package perl-Crypt-OpenSSL-X509


* Fri Jan 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.600.0-1mdv2011.0
+ Revision: 629481
- update to new version 1.6

* Sun Dec 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.500.0-1mdv2011.0
+ Revision: 625268
- update to new version 1.5

* Thu Sep 02 2010 Jérôme Quelin <jquelin@mandriva.org> 1.400.0-1mdv2011.0
+ Revision: 575392
- update to 1.4

* Sun Aug 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.300.0-1mdv2011.0
+ Revision: 567736
- update to new version 1.3

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-2mdv2011.0
+ Revision: 555720
- rebuild

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2011.0
+ Revision: 551985
- update to 1.2

* Tue Jan 19 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 493491
- update to 1.0

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.7-3mdv2010.0
+ Revision: 430370
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.7-2mdv2009.0
+ Revision: 268404
- rebuild early 2009.0 package (before pixel changes)

* Tue May 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.7-1mdv2009.0
+ Revision: 209322
- update to new version 0.7

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.6-1mdv2008.1
+ Revision: 174703
- update to new version 0.6

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.5-2mdv2008.1
+ Revision: 152039
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5-1mdv2008.0
+ Revision: 53357
- fix buildrequires
- update to new version 0.5


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.4-1mdv2007.0
+ Revision: 133724
- new version
- Import perl-Crypt-OpenSSL-X509

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-3mdv2007.0
- Rebuild

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-2mdk
- rebuild for new openssl
- spec cleanup

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1mdk
- new version
- fix source url for rpmbuildupdate

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdk
- initial Mandriva package

